From b0cf6894349721a238b066cc00fe9f0b0573a2d7 Mon Sep 17 00:00:00 2001
From: SVN-Git Migration <python-modules-team@lists.alioth.debian.org>
Date: Thu, 8 Oct 2015 14:18:08 -0700
Subject: 02_remove_ext

Patch-Name: 02_remove_ext.patch
---
 setup.py                  |  3 +--
 tests/test-broken-html.py |  2 --
 tests/test-checkbox.py    |  7 ++++---
 tests/test-encoding.py    |  2 +-
 tests/test-form.py        |  5 +++--
 twill/_browser.py         |  4 ++--
 twill/browser.py          |  5 +++--
 twill/commands.py         |  6 +++---
 twill/utils.py            | 10 +++++-----
 9 files changed, 22 insertions(+), 22 deletions(-)

diff --git a/setup.py b/setup.py
index 8290fca..dcba330 100644
--- a/setup.py
+++ b/setup.py
@@ -18,8 +18,7 @@ setup(name = 'twill',
       author_email = 'titus@idyll.org',
       license='MIT',
 
-      packages = ['twill', 'twill.other_packages',
-                  'twill.other_packages._mechanize_dist',
+      packages = ['twill',
                   'twill.extensions',
                   'twill.extensions.match_parse'],
 
diff --git a/tests/test-broken-html.py b/tests/test-broken-html.py
index 42fff56..3694830 100644
--- a/tests/test-broken-html.py
+++ b/tests/test-broken-html.py
@@ -3,8 +3,6 @@
 parser) can parse.
 """
 
-from _mechanize_dist import ClientForm
-
 import twilltestlib
 from twill import commands
 
diff --git a/tests/test-checkbox.py b/tests/test-checkbox.py
index a31bae4..d3b0776 100644
--- a/tests/test-checkbox.py
+++ b/tests/test-checkbox.py
@@ -2,7 +2,8 @@ import twilltestlib
 import twill
 from twill import namespaces, commands
 from twill.errors import TwillAssertionError
-from _mechanize_dist import BrowserStateError, ClientForm
+import mechanize
+import ClientForm
 
 def setup_module():
     global url
@@ -15,7 +16,7 @@ def test_select_multiple():
     try:
         browser.get_title()
         assert 0, "should never get here"
-    except BrowserStateError:
+    except mechanize.BrowserStateError:
         pass
 
     commands.go(url)
@@ -53,7 +54,7 @@ def test_select_single():
     try:
         browser.get_title()
         assert 0, "should never get here"
-    except BrowserStateError:
+    except mechanize.BrowserStateError:
         pass
 
     commands.go(url)
diff --git a/tests/test-encoding.py b/tests/test-encoding.py
index e7c0530..b366ceb 100644
--- a/tests/test-encoding.py
+++ b/tests/test-encoding.py
@@ -1,5 +1,5 @@
 import twilltestlib
-from _mechanize_dist import ClientForm
+import ClientForm
 from cStringIO import StringIO
 
 def test_form_parse():
diff --git a/tests/test-form.py b/tests/test-form.py
index e523a22..80f7c30 100644
--- a/tests/test-form.py
+++ b/tests/test-form.py
@@ -2,7 +2,8 @@ import twilltestlib
 import twill
 from twill import namespaces, commands
 from twill.errors import TwillAssertionError
-from _mechanize_dist import BrowserStateError, ClientForm
+import ClientForm
+import mechanize
 
 def test():
     url = twilltestlib.get_url()
@@ -14,7 +15,7 @@ def test():
     try:
         browser.get_title()
         assert 0, "should never get here"
-    except BrowserStateError:
+    except mechanize.BrowserStateError:
         pass
 
     ### now test a few special cases
diff --git a/twill/_browser.py b/twill/_browser.py
index 5326e69..fc5727d 100644
--- a/twill/_browser.py
+++ b/twill/_browser.py
@@ -3,13 +3,13 @@ A subclass of the mechanize browser patched to fix various bits.
 """
 
 # wwwsearch imports
-from _mechanize_dist import Browser as MechanizeBrowser
+from mechanize import Browser as MechanizeBrowser
 
 import wsgi_intercept
 from utils import FixedHTTPBasicAuthHandler, FunctioningHTTPRefreshProcessor
 
 def build_http_handler():
-    from _mechanize_dist._urllib2 import HTTPHandler
+    from mechanize._urllib2 import HTTPHandler
 
     class MyHTTPHandler(HTTPHandler):
         def http_open(self, req):
diff --git a/twill/browser.py b/twill/browser.py
index 80e7562..1a7d09a 100644
--- a/twill/browser.py
+++ b/twill/browser.py
@@ -10,8 +10,9 @@ OUT=None
 import re
 
 # wwwsearch imports
-import _mechanize_dist as mechanize
-from _mechanize_dist import BrowserStateError, LinkNotFoundError, ClientForm
+import mechanize
+import ClientForm
+from mechanize import BrowserStateError, LinkNotFoundError
 
 # twill package imports
 from _browser import PatchedMechanizeBrowser
diff --git a/twill/commands.py b/twill/commands.py
index 4130e59..c03d292 100644
--- a/twill/commands.py
+++ b/twill/commands.py
@@ -4,9 +4,9 @@ twill-sh.
 """
 
 import sys
-import _mechanize_dist as mechanize
-from _mechanize_dist import ClientForm
-from _mechanize_dist._headersutil import is_html
+import mechanize
+import ClientForm
+from mechanize._headersutil import is_html
 
 OUT=None
 ERR=sys.stderr
diff --git a/twill/utils.py b/twill/utils.py
index c4275cd..601fe58 100644
--- a/twill/utils.py
+++ b/twill/utils.py
@@ -11,11 +11,11 @@ import base64
 
 import subprocess
 
-import _mechanize_dist as mechanize
-from _mechanize_dist import ClientForm
-from _mechanize_dist._util import time
-from _mechanize_dist._http import HTTPRefreshProcessor
-from _mechanize_dist import BrowserStateError
+import mechanize
+import ClientForm
+from mechanize._util import time
+from mechanize._http import HTTPRefreshProcessor
+from mechanize import BrowserStateError
 
 class ResultWrapper:
     """
